Bug 40064 - [RFE] Please make up2date use intltool
Summary: [RFE] Please make up2date use intltool
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 71849
TreeView+ depends on / blocked
 
Reported: 2001-05-10 11:37 UTC by Christian Rose
Modified: 2015-01-07 23:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 21:56:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2001-05-10 11:37:49 UTC
Please make up2date-gnome use xml-i18n-tools.
This will significantly ease, among other things, the translation of the
.desktop files when up2date is made available for translation.

Comment 1 Christian Rose 2001-12-03 21:27:35 UTC
xml-i18n-tools has been renamed intltool.

Comment 2 Adrian Likins 2002-03-26 22:41:59 UTC
intltool seems to require the useage of autoconf, which up2date
doesnt currently use. Is this correct?

If not, is there any documentation on using this in non-autoconf
enviroments?

Comment 3 Christian Rose 2002-03-26 22:49:55 UTC
Kenneth, can you comment on this?

Comment 4 Kenneth Rohde Christiansen 2002-03-26 23:01:22 UTC
When you are using autoconf, the intltoolize script takes care of most things
for you, ie, expanding the m4 macros. If you are not using autoconf you can
still use intltool, but you need to add the content of the macros to the
Makefiles manually.

Was this what you wanted to know? If you are doing this, I would appreciate it
if you wrote a little paper on it that I can include in the intltool README file.

Thanks Kenneth

Comment 5 Adrian Likins 2002-03-26 23:13:57 UTC
I'll take a look at it and see what I can figure out. Looking
though the existing docs made it seem like it pretty much required
autoconf, so I havent dug too deep.

Comment 6 Kenneth Rohde Christiansen 2002-03-26 23:23:08 UTC
Great! I hope you can figure it out. The latest intltool release is 0.18 FYI.
just released today

Kenneth

Comment 7 Adrian Likins 2002-05-08 22:26:16 UTC
I'll dive into this again for the next release. Time constraints
didnt give me a change to try using intltool on python code...


Note You need to log in before you can comment on or make changes to this bug.